Bug 438497 - Contact import / export does not work
Summary: Contact import / export does not work
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-12 09:10 UTC by werner
Modified: 2021-11-04 14:12 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description werner 2021-06-12 09:10:59 UTC
SUMMARY


STEPS TO REPRODUCE
1. from the contacts list, select one ore more contacts
2. right clicks, navigate to export
3. export does not work, import is not available

OBSERVED RESULT
export entry does not lead to any selectable action

EXPECTED RESULT
export should open a new secetion for format (several vcard versions) and contacts (selected, all...) and then save vcard file.


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Debian 11 

(available in About System)
KDE Plasma Version: 5.220
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
KDE Packages from https://www.preining.info/blog/2021/06/kde-plasma-5-22-for-debian/
Comment 1 Laurent Montel 2021-06-12 09:59:19 UTC
install kdepim-addons please.
Comment 2 werner 2021-06-12 16:35:33 UTC
(In reply to Laurent Montel from comment #1)
> install kdepim-addons please.

this is already installed:

sudo aptitude install kdepim-addons
»kdepim-addons« ist bereits in der angeforderten Version (21.04.2-1~np1) installiert
Comment 3 werner 2021-06-13 18:05:13 UTC
just for the record: 
after today's update, I have now KDE Frameworks 5.83.0,
kaddressbook 5.17.2 (20.07.90),
libkpimaddressbookimportexport5 still 21.04.2-1~np1.
however, the described problem persists exactly as before.
Comment 4 larmoe 2021-09-09 06:34:02 UTC
Still same issue.

kaddressbook, version: 4:21.08.1-0xneon+20.04+focal+release+build39
kdepim-addons, version: 21.08.1-0xneon+20.04+focal+release+build36
KDE Plasma-version: 5.22.5
KDE Frameworks-version: 5.85.0
QT-version: 5.15.3
Comment 5 werner 2021-11-04 14:12:52 UTC
as of today, kaddressbook updated to 5.18.2 (21.08.2), this issue is solved, export for single or all contacts working again as expected.